<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('gambar_carousels', function (Blueprint $table) { 
            $table->id();
            $table->string('tajuk');
            $table->string('keterangan', 180)->nullable();
            $table->string('fail_nama'); // Contoh: slide1.jpg
            $table->string('fail_path'); // Contoh: caro/slide1.jpg
            $table->timestamp('tarikh_upload')->nullable();
            $table->date('tarikh_mula')->nullable();
            $table->date('tarikh_tamat')->nullable();
            $table->unsignedBigInteger('admin_id');
            $table->timestamps();

            $table->foreign('admin_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('gambar_carousels');
    }
};
